using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using System.Reflection;

namespace JonKruger.EnhancedRuleSetDialog.SampleApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void publicOnlyButton_Click(object sender, EventArgs e)
        {
            EnhancedRuleSetDialog dlg = new EnhancedRuleSetDialog(typeof(Order), null, null);
            dlg.MemberListSettings = MemberListSettingsType.PublicOnly;
            dlg.ShowDialog();
        }

        private void attributeOnlyButton_Click(object sender, EventArgs e)
        {
            EnhancedRuleSetDialog dlg = new EnhancedRuleSetDialog(typeof(Order), null, null);
            dlg.MemberListSettings = MemberListSettingsType.AttributeOnly;
            dlg.ShowDialog();
        }

        private void customFilteringButton_Click(object sender, EventArgs e)
        {
            EnhancedRuleSetDialog dlg = new EnhancedRuleSetDialog(typeof(Order), null, null);
            dlg.ModifyIntellisenseList += new EventHandler<IntellisenseEventArgs>(EnhancedRuleSetDialog_ModifyIntellisenseList);
            dlg.ShowDialog();
        }

        private void publicNonStaticButton_Click(object sender, EventArgs e)
        {
            EnhancedRuleSetDialog dlg = new EnhancedRuleSetDialog(typeof(Order), null, null);
            dlg.MemberListSettings = MemberListSettingsType.PublicOnly;
            dlg.IncludeStaticMembers = false;
            dlg.ShowDialog();
        }

        private void EnhancedRuleSetDialog_ModifyIntellisenseList(object sender, IntellisenseEventArgs e)
        {
            ArrayList list = new ArrayList();
            list.Add("Action1");
            list.Add("Action2");

            e.IntellisenseList = list;
        }
    }
}