using System;
using System.Collections.Generic;
using System.Text;

namespace JonKruger.EnhancedRuleSetDialog
{
    public class IncludeInRuleSetDialogAttribute : Attribute
    {
        private RuleSetDialogTextBoxType _textBoxTypes;

        public RuleSetDialogTextBoxType TextBoxTypes
        {
            get { return _textBoxTypes; }
            set { _textBoxTypes = value; }
        }

        public IncludeInRuleSetDialogAttribute(RuleSetDialogTextBoxType textBoxTypes)
        {
            _textBoxTypes = textBoxTypes;
        }

        public IncludeInRuleSetDialogAttribute()
        {
        }	
    }
}
