using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace JonKruger.EnhancedRuleSetDialog
{
    public class IntellisenseEventArgs : EventArgs
    {
        private ICollection _intellisenseList;
        private RuleSetDialogTextBoxType _textBoxType;

        public ICollection IntellisenseList
        {
            get { return _intellisenseList; }
            set { _intellisenseList = value; }
        }

        public RuleSetDialogTextBoxType TextBoxType
        {
            get { return _textBoxType; }
        }
	
        public IntellisenseEventArgs(ICollection list, RuleSetDialogTextBoxType textBoxType)
        {
            _intellisenseList = list;
            _textBoxType = textBoxType;
        }
    }
}
